package client;

import net.AppSocket;
import net.ByteOp;
import net.ConnectionInfo;

public class ChatThread extends Thread{
	private Client client;
	private AppSocket sock;
	private ConnectionInfo destino;
	private boolean vive;
	private ClientGuiListener listener;
	public ChatThread(Client client, AppSocket sock, ConnectionInfo destino){
		this.client = client;
		this.sock = sock;
		this.destino = destino;
		this.vive = true;
		this.start();
		
	}
	public void kill(){
		this.vive = false;
	}
	public void addListener(ClientGuiListener listener){
		this.listener = listener;
	}
	@Override
	public void run(){
		while(vive){
			byte[] data = sock.receive(60000);
			if(data != null){
				switch(data[0]){
					case 0: //Mensgem de texto recebida
						String msg = "";
						System.out.println("THREAD RECEBEU MENSAGEM!!!");
						int tamanho = ByteOp.byteArrayToInt(new byte[]{data[1],data[2],data[3],data[4]});
						for(int i = 0; i < tamanho; i++){
							msg += (char)data[5+i];
						}
						if(listener != null){
							listener.msgRecieved(msg);
						}
						break;
					case 1: //Requisio de chat de voz recebida
					
					case 2: // Requisio para transmitir arquivo
						
					case 3: //Requisio para "terminar" a conversa
					case -33:
						this.kill();
						break;
				}
			}else{
				this.kill();
			}
			
		}
		System.out.println("THREAD MORREU");
	}

}
