package client;

import java.io.IOException;
import java.net.InetAddress;
import java.net.SocketException;
import java.net.UnknownHostException;

import net.AppSocket;
import net.ConnectionInfo;
import net.Transport;

public class Inicializador {
	private Client client;
	private final int PORTA = 5000;
	private final String SERVER_IP = "localhost";
	private final int SERVER_PORT = 3000;
	
	public Inicializador() throws IOException, ClassNotFoundException{
		Transport trans = new Transport(PORTA);
		AppSocket serverCom = new AppSocket(trans, 1);
		ServerConnection svConnection = new ServerConnection(serverCom, new ConnectionInfo(0, InetAddress.getByName(SERVER_IP),SERVER_PORT));
		client = new Client(svConnection, trans);
		client.start();
	}

	public FachadaClient getFachada(){
		return new FachadaClient(this.client);
	}
}
